Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IcePack::ComponentDescriptor`

## Overview

    class ComponentDescriptor

A component descriptor. A component is either an Ice server or an IceBox service.

### Derived Classes and Interfaces

ServerDescriptor, ServiceDescriptor

### Data Member Index

adapters

  The component object adapters.

comment

  Some comments on the component.

dbEnvs

  The component database environments.

name

  The component nane.

properties

  The component configuration properties.

## `adapters`

    AdapterDescriptorSeq adapters;

The component object adapters.

## `comment`

    string comment;

Some comments on the component.

## `dbEnvs`

    DbEnvDescriptorSeq dbEnvs;

The component database environments.

## `name`

    string name;

The component nane.

## `properties`

    PropertyDescriptorSeq properties;

The component configuration properties.

<<< Previous | Home | Next >>>
`IcePack::BadSignalException` | Up | `IcePack::CppIceBoxDescriptor`